﻿.td-date-fx{
  min-width:140px
}
.td-comment-fx{
    min-width:240px
}
.td-item-fx{
    min-width:200px
}
.td-station-fx{
    min-width:170px
}
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 28px;
  margin-bottom:-2px;
  top: -1px;
}

.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 4px;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 20px;
  width: 20px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 30px;
}

.slider.round:before {
  border-radius: 50%;
}


.nav-bar-flex{
  background: #f0f3f5;
  
}
.tab-content-fx{
    border-left: solid;
    border-bottom: solid;
    border-right:solid;
    border-color:#dee2e6;
    border-width: 1px;
}
.btn-table-fx{
    padding: 2px 5px 2px 5px;
    margin-top: -5px;
    font-size: 10pt;
}
.exitButton{
    display:none;
}
.btn-collapse span{
	width: 0px;
	-webkit-transition: width 0.6s;
	transition: width 0.6s border 0.6s;
	display: inline-block;
	white-space: nowrap;
	overflow: hidden;
	padding-top: 2px; 
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}
.btn-collapse{
	width: 40px; 
	height: 40px; 
	font-size: 13pt; 
    padding-top: 8px; 
	margin-top: -3px;
	-webkit-transition: width 0.6s;
	transition: width 0.6s;
}
.btn-collapse:hover span {
	width: 3.7rem;
}
.btn-collapse:hover{
	width: 90px;

}


.zoom:hover {
    -ms-transform: scale(1.2); /* IE 9 */
    -webkit-transform: scale(1.2); /* Safari 3-8 */
    transform: scale(1.2); 
    transition: transform 0.1s;
}
.animate {
    animation: zoom 0.6s
}
@keyframes zoom {
    from {transform: scale(0)}
    to {transform: scale(1)}
}
.navSubMenu{
    -webkit-box-shadow: 0px 7px 16px 0px rgba(0,0,0,0.75);
    -moz-box-shadow: 0px 7px 16px 0px rgba(0,0,0,0.75);
    box-shadow: 0px 7px 16px 0px rgba(0,0,0,0.75);
    height:28px;
    z-index:100;
    background: #007bff;
    background: linear-gradient(to right, #0062E6, #33AEFF);
}

.navSubMenuError{
    height:32px;
    z-index:100;
    top:100px;
    background: #007bff;
    background-color:red;
    visibility:hidden;
}
.menu-fixed {
  	transition: top 0.3s;
	position:fixed;
	z-index:1000;
    width:100%;
	top:0;
}
.menu-not-fixed {
	transition: top 0.3s;
	position:fixed;
	display: inline; 
	height:30px; 
	top: 59px; 
	width: 100%;
}
.div-up {
  	transition: top 0.3s;
	position:fixed;
	z-index:1000;
	top:0;
	float: right;
}
.div-bot {
	transition: top 0.3s;
	position:fixed;
	display: inline; 
	height:30px; 
	top: 59px; 
	float: right;
}
.navbar-fixed-bottom {
  position: fixed;
  right: 0;
  left: 0;
  z-index: 1030;
}

.contenedor {
    overflow:auto;
    box-sizing: border-box;
}

.contenedor::-webkit-scrollbar {
    -webkit-appearance: none;
}

.contenedor::-webkit-scrollbar:vertical {
    width:14px;
}

.contenedor::-webkit-scrollbar-button:increment,.contenedor::-webkit-scrollbar-button {
    display: none;
} 

.contenedor::-webkit-scrollbar:horizontal {
    height: 15px;
}

.contenedor::-webkit-scrollbar-thumb {
     background-color: #b4babf;
    border-radius: 20px;
    border: 1px solid #a7abaf;
}

.contenedor::-webkit-scrollbar-track {
    border-radius: 10px;  
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
  height: 10vh;
  width: 10vh;
  background-size: 100%, 100%;
  border-radius: 50%;
  background-image: none;
}

.carousel-control-next-icon:after
{
  content: '>';
  font-weight:bolder;
  font-size: 10vh;
  color: black;
}

.carousel-control-prev-icon:after {
  content: '<';
  font-weight:bolder;
  font-size: 10vh;
  color: black;
}
.table-compacted-custom>tbody>tr>* {
    padding:4px
}